##parameters=type_name, datamodel
# $Id: createCPSDocument_cb.py,v 1.6 2003/12/09 12:59:34 guillaum Exp $
"""
Callback to create an empty object with the context as a container.

Datamodel may be examined to create a suitable id.

Call notifyCPSDocumentCreation script

Returns the created object. In CPS, returns the proxy (which is
the only thing the user sees).
"""

folder = context

id = datamodel.get('Title')
if not id:
    id = 'my ' + type_name

id = context.computeId(compute_from=id)

# datamodel is passed so that flexti can initialize the object.
context.invokeFactory(type_name, id, datamodel=datamodel)
ob = getattr(context, id)

context.notifyCPSDocumentCreation(ob=ob)

return ob
